<?php
/**
 * GrantTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\SellerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Seller Auth
 *
 * Авторизация пользователей продавцов
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\SellerAuthClient\Dto;
use \Ensi\SellerAuthClient\ObjectSerializer;

/**
 * GrantTypeEnum Class Doc Comment
 *
 * @category Class
 * @description * Grant Types: * &#x60;authorization_code&#x60; - Для аутентификации методом Authorization Code * &#x60;password&#x60; - Для аутентификации через логин/пароль * &#x60;client_credentials&#x60; - Для аутентификации клиентских приложений * &#x60;refresh_token&#x60; - Для обновления токена доступа
 * @package  Ensi\SellerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class GrantTypeEnum
{
    public const AUTHORIZATION_CODE = 'authorization_code';
    public const PASSWORD = 'password';
    public const CLIENT_CREDENTIALS = 'client_credentials';
    public const REFRESH_TOKEN = 'refresh_token';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::AUTHORIZATION_CODE,
            self::PASSWORD,
            self::CLIENT_CREDENTIALS,
            self::REFRESH_TOKEN,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::AUTHORIZATION_CODE => '',
            self::PASSWORD => '',
            self::CLIENT_CREDENTIALS => '',
            self::REFRESH_TOKEN => '',
        ];
    }
}


